Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.commands
Class GUI.OptionControl

    java.lang.Object
      rdlc.commands.GUI.OptionControl

Direct Known Subclasses:
  GUI.OptionBool, GUI.OptionString

Enclosing class:
  GUI

    public abstract static class GUI.OptionControl

extends java.lang.Object

This class encapsulates the code required to turn a command line option information structure into a swing GUI component, and then manage the data input through that component.

Version:
  $Revision: 1.16 $
Author:
  Greg Gibeling

Constructor Summary
`GUI.OptionControl()`

Method Summary
`static GUI.OptionControl` | `create(java.lang.String name, Main.OptionInfo info)` Create a new `GUI.OptionControl` object of the appropriate type.
`abstract javax.swing.JComponent` | `getComponent()` Simple accessor.
`abstract java.lang.String` | `getLabel()` Simple accessor.
`abstract java.lang.String` | `getValue()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUI.OptionControl

    public GUI.OptionControl()

Method Detail

### getComponent

    public abstract javax.swing.JComponent getComponent()

  Simple accessor.

  Returns:
    The actual swing component into which this option's data will be put.

### getLabel

    public abstract java.lang.String getLabel()

  Simple accessor.

  Returns:
    A string label to put next to the component. Can be `null`.

### getValue

    public abstract java.lang.String getValue()

  Simple accessor.

  Returns:
    The actual value of the option.

### create

    public static GUI.OptionControl create(java.lang.String name,
                                           Main.OptionInfo info)

  Create a new `GUI.OptionControl` object of the appropriate type.

  Parameters:
    `name` - The name of the option the new option control will be for.
    `info` - The option information structure.
  Returns:
    The new OptionControl object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD